.rb_widget{
    background: var(--rblight);
    border-radius: 30px 0;
    padding: 35px 30px;
    margin-bottom: 30px;
}
.rb_widget:last-child{
    margin-bottom: 0px;
}
.rb_widget h3{
    font-size: 22px;
    color: var(--rblightblue);
    margin-bottom: 24px;
    font-weight: 600;
    line-height: 1.22;
}
.rb_widget .rb_search_form{
    position: relative;
}
.rb_widget .rb_search_form input{
    background: var(--rbwhite);
    border-radius: 10px 0;
    border: 1px solid #0000;
    outline: none;
    padding: 0 25px;
    font-size: 16px;
    line-height: 50px;
    width: 100%;
    height: 55px;
    color: var(--rbicon);
    text-transform: capitalize;
    outline-offset: -2px;
}

.rb_widget .rb_search_form button{
    background: var(--rbsubheading);
    width: 60px;
    height: 54px;
    color: var(--rbwhite);
    text-align: center;
    border-radius: 10px 0px;
    line-height: 54px;
    position: absolute;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
    outline: none;
    border: none;
}
.rb_widget .rb_search_form input:focus {
    border-color: var(--primary-blue);
    border-radius: 0 10px;
}

.rb_widget .rb_search_form input:focus ~ button, .rb_widget .rb_search_form button:hover{
    border-radius: 0px 10px;
}

.rb_widget .cate_list{
    display: block;
    border-bottom: 0px solid #f3f3f3;
    padding: 2px 0;
}
.rb_widget .cate_list a{
    position: relative;
    background: var(--rbwhite);
    padding: 17px 30px !important;
    line-height: 1 !important;
    font-size: 14px;
    margin-bottom: 12px;
    font-weight: 700;
    text-transform: capitalize;
    color: #211e3b;
    display: block;
    transition: all .3s ease-in-out;
}

.rb_widget .cate_list a span{
    position: absolute;
    width: 60px;
    line-height: 48px;
    height: 100%;
    content: "";
    background-color: #e3e3e3;
    right: 0;
    top: 0;
    text-align: center;
    color: #211e3b;
    border-radius: 10px 0px;
}
.rb_widget .cate_list a:hover{
    color: var(--rbsubheading);
    transition: all .3s ease-in-out;
}
.rb_widget .cate_list a:hover span{
    background-color: var(--primary-blue);
    color: var(--rbwhite);
    border-radius: 0 10px;
}

.rb_widget .recent_post li{
    overflow: hidden;
    padding-bottom: 20px;
    margin-bottom: 20px;
    border-bottom: 1px solid #f2f2f2 !important;
}
.rb_widget .recent_post li:last-child {
    margin-bottom: 0;
    border: none !important;
    padding-bottom: 0;
}
.rb_widget .recent_post li .thumb {
    width: 80px;
    height: 80px;
    border-radius: 50%;
    background-color: #f2f2f2;
    float: left;
    overflow: hidden;
    margin-right: 20px;
}
.rb_widget .recent_post li .thumb img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.rb_widget .recent_post li .content {
    overflow: hidden;
}
.rb_widget .recent_post li .content h5{
    margin: 0;
}
.rb_widget .recent_post li .content h5 a{
    font-size: 16px;
    line-height: 28px;
    font-weight: 700;
    margin-bottom: 0;
    text-transform: capitalize;
    color: #211e3b;
    transition: all 0.4s ease-in-out;
}
.rb_widget .recent_post li .content .time {
    color: var(--dark-blue);
    margin-top: 5px;
    font-weight: 700;
    font-size: 14px;
}
.rb_widget .recent_post li .content .time i {
    margin-right: 7px;
}
.rb_widget .recent_post li .content h5 a:hover{
    color: var(--primary-blue);
}

.rb_widget .popular_tag a{
    border: 1px solid #585b6f4d;
    border-radius: 10px 0;
    padding: 12px 18px;
    transition: all .3s;
    font-size: 14px;
    font-weight: 400;
    line-height: 1;
    display: inline-block;
    margin-bottom: 10px;
    margin-right: 5px;
    text-transform: capitalize;
    text-align: center;
    color: #4b4b4b;
}
.rb_widget .popular_tag a:hover{
    background: var(--primary-blue);
    color: var(--rbwhite);
    border-radius: 0 10px;
}


/* responsive padding */
@media (max-width: 1200px) {
.rb_widget{
    padding: 30px 25px;
}
.rb_widget h3{
    margin-bottom: 20px;
}
.rb_widget .recent_post li{
    padding-bottom: 10px;
    margin-bottom: 10px;
}
.rb_widget .recent_post li .thumb{
    width: 50px;
    height: 50px;
    margin-right: 10px;
}
}

@media (max-width: 576px) {
.rb_widget h3{
    margin-bottom: 15px;
}
.rb_widget .recent_post li .content h5 a {
    font-size: 15px;
    line-height: 28px;
    font-weight: 600;
}

}